Switch (Template)
34 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getOswForGivenLanNetworkIdAndVlanTemplate | GET | Get the paging query for the osw templates with given network id and vlan |
| getOswsDetailsTemplate | POST | Get the details of osw templates with given omadacid, siteid and macs and stackIds. |
| getSwitchTemplateInfo | GET | Get switch template info |
| getSwitchTemplateExistNetworks | GET | Get the networks existing on the switch template |
| listSwitchInterfacesTemplate | GET | List Switch Interfaces Template |
| modifyPmtudStatus | POST | Modify Path MTU Discovery Template |
| deleteSwitchLagTemplate | DELETE | Delete switch template lag |
| modifySwitchLagTemplate | PATCH | Modify switch template lag |
| batchModifySwitchPortTemplate | PATCH | Batch modify switch template port |
| batchSetNameForGivenPorts | PUT | Batch set name for given switch template ports |
| batchSetPoeModeForGivenPorts | PUT | Batch set poe mode for given switch template ports |
| batchSetProfileOverrideForGivenPorts | PUT | Batch set profile-override for given switch template ports |
| batchSetPortStatusForGivenPorts | PUT | Batch set status for given switch template ports |
| getGridPortAndLagNetworks | GET | Get the networks used on switch template's ports and LAGs |
| getPortAndLagNetwork | GET | Get the switch template's ports and LAGs that the network affects |
| modifySwitchPortTemplate | PATCH | Modify switch template port |
| setNameForGivenPort | PUT | Set name for given switch template port |
| setPoeModeForGivenPort | PUT | Set poe mode for given switch template port |
| setProfileForGivenPort | PUT | Set profile for given switch template port |
| setProfileOverrideForGivenPort | PUT | Set profile-override for given switch template port |
| setPortModeForGivenPort | PUT | Set port status for given switch template port |
| getRpvstInstancesTemplate | GET | Get Rpvst Instances Template |
| getRpvstInstancesDetailTemplate | POST | Get StpInstanceDetail Template |
| getGridVrfTemplate | GET | Get the vrfs on the switch template (deprecated) |
| createOswVrfTemplate | POST | Create new vrf template (deprecated) |
| deleteOswVrfTemplate | DELETE | Delete vrf template (deprecated) |
| modifyOswVrfTemplate | PUT | Modify vrf template (deprecated) |
| getBatchSwitchTemplateExistNetworks | POST | Get the networks intersections existing on multiple switch templates |
| deletePortTagTemplate | DELETE | Delete an existing template port label |
| getPortTagTemplates | GET | Get template port label list |
| modifyPortTagTemplate | PATCH | Modify an existing template port label |
| addPortTagTemplate | POST | Create new template port label |
| getBatchRpvstInstancesTemplate | POST | Get Batch Rpvst Instances Template |
| getBatchSwitchTemplateExistNetworksV2 | POST | Get the networks intersections existing on multiple switch templates V2 |
getOswForGivenLanNetworkIdAndVlanTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/vlans/{vlan}/switches
Get the paging query for the osw templates with given network id and vlan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | networkId |
vlan | path | string | yes | vlan |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getOswForGivenLanNetworkIdAndVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>",
"vlan": "<vlan>"
}
}Details, permissions and error codes
Get the paging query for the osw templates with given network id and vlan
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.
getOswsDetailsTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switches/details
Get the details of osw templates with given omadacid, siteid and macs and stackIds.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema OswDetailOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
macs | array<string> | no | The collection of macs of the general switches. |
stackIds | array<string> | no | The collection of stack ids of the stack switches. |
networkId | string | yes | Network ID. |
vlan | integer | yes | VLAN ID. |
// omada_call_operation
{
"operationId": "getOswsDetailsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Get the details of osw templates with given omadacid, siteid and macs and stackIds.
The interface requires one of the permissions:
Global Site Template Manager View Only
getSwitchTemplateInfo
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}
Get switch template info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
// omada_call_operation
{
"operationId": "getSwitchTemplateInfo",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
Get switch template info.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44402 - Device template does not exist.
getSwitchTemplateExistNetworks
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/exist-network
Get the networks existing on the switch template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
// omada_call_operation
{
"operationId": "getSwitchTemplateExistNetworks",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
Get the networks existing on the switch template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44402 - Device template does not exist.
listSwitchInterfacesTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/interfaces
List Switch Interfaces Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "listSwitchInterfacesTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
List Switch Interfaces Template, include VLAN Interface and Loopback Interface.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
modifyPmtudStatus
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/interfaces/pmtud
Modify Path MTU Discovery Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema OswPmtudVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | no | The Switch of Path MTU Discovery. |
// omada_call_operation
{
"operationId": "modifyPmtudStatus",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
modify Path MTU Discovery Template.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
deleteSwitchLagTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/lags/{lagId}
Delete switch template lag
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
lagId | path | string | yes | Lag ID |
// omada_call_operation
{
"operationId": "deleteSwitchLagTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"lagId": "<lagId>"
}
}Details, permissions and error codes
Delete switch template lag.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.
modifySwitchLagTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/lags/{lagId}
Modify switch template lag
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
lagId | path | string | yes | Lag ID |
Request body — application/json (required) — schema OswLagSettingVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Port or Lag Name |
tagIds | array<string> | no | Tag ID List |
nativeNetworkId | string | no | Native Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
nativeBridgeVlan | integer | no | Native Network Bridge Vlan. |
networkTagsSetting | integer | no | Network Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom |
tagNetworkIds | array<string> | no | Tag Network IDs |
tagBridgeVlanMap | object | no | Tag Network Bridge Vlan Map |
untagNetworkIds | array<string> | no | Untag Network IDs |
untagBridgeVlanMap | object | no | Untag Network Bridge Vlan Map |
voiceNetworkEnable | boolean | no | Indicates whether voice network is enabled |
voiceNetworkId | string | no | Voice Network ID |
voiceBridgeVlan | integer | no | Voice Network Bridge Vlan |
voiceDscpEnable | boolean | no | Indicates whether voice DSCP is enabled |
voiceDscp | integer | no | Voice DSCP |
portAlertEnable | boolean | no | Indicates whether port alert is enabled |
fecMode | integer | no | FEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R |
fecLinkPeerApplyEnable | boolean | no | Indicates whether the FEC Mode is synchronously applied to the link peer port. |
disable | boolean | no | Indicates whether to disable |
profileId | string | no | Profile ID is required (not null) when modifying a single port. |
profileOverrideEnable | boolean | no | Indicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile |
profileVlanOverrideEnable | boolean | no | Indicates the fill mode of vlan configuration: true: custom; false: follow profile |
linkSpeed | integer | no | Link Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
igmpSnoopingEnable | boolean | no | Indicates whether IGMP Snooping is enabled |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlVO | no | (OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO") |
spanningTreeEnable | boolean | no | Indicates whether SpanningTree is enabled |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | Indicates whether loopbackDetect port based is enabled |
loopbackDetectVlanBasedEnable | boolean | no | Indicates whether loopbackDetect vlan based is enabled |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Indicates whether port isolation is enabled |
eeeEnable | boolean | no | Indicates whether EEE is enabled |
flowControlEnable | boolean | no | Indicates whether flow control is enabled |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
qosQueueEnable | boolean | no | Indicates whether the ES device port has enabled the Qos scheduling queue configuration |
queueId | integer | no | ES Qos scheduling queue ID |
removedOuiBasedRuleIds | array<string> | no | The id of oui based vlan rule removded. |
operation | string | no | Operation should be a value as follows: "switching" or "mirroring" or "aggregating" |
lagId | integer | no | Lag ID |
lagType | integer | no | Lag Type should be a value as follows: 1: STATIC; 2: LACP; 3: LACP ACTIVE; 4: LACP PASSIVE |
ports | array<integer> | no | Lag Ports |
mlagName | string | no | M-LAG group Name |
mlagEnable | boolean | no | Indicates whether M-LAG port is enabled |
mlagPeerSetting | OswMlagPeerSettingVO | no | (OswMlagPeerSettingVO not expanded; call omada_get_schema "OswMlagPeerSettingVO") |
// omada_call_operation
{
"operationId": "modifySwitchLagTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"lagId": "<lagId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch template lag.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.
batchModifySwitchPortTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/config
Batch modify switch template port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema BatchOswPortSettingVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Port or Lag Name |
tagIds | array<string> | no | Tag ID List |
nativeNetworkId | string | no | Native Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
nativeBridgeVlan | integer | no | Native Network Bridge Vlan. |
networkTagsSetting | integer | no | Network Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom |
tagNetworkIds | array<string> | no | Tag Network IDs |
tagBridgeVlanMap | object | no | Tag Network Bridge Vlan Map |
untagNetworkIds | array<string> | no | Untag Network IDs |
untagBridgeVlanMap | object | no | Untag Network Bridge Vlan Map |
voiceNetworkEnable | boolean | no | Indicates whether voice network is enabled |
voiceNetworkId | string | no | Voice Network ID |
voiceBridgeVlan | integer | no | Voice Network Bridge Vlan |
voiceDscpEnable | boolean | no | Indicates whether voice DSCP is enabled |
voiceDscp | integer | no | Voice DSCP |
portAlertEnable | boolean | no | Indicates whether port alert is enabled |
fecMode | integer | no | FEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R |
fecLinkPeerApplyEnable | boolean | no | Indicates whether the FEC Mode is synchronously applied to the link peer port. |
disable | boolean | no | Indicates whether to disable |
profileId | string | no | Profile ID is required (not null) when modifying a single port. |
profileOverrideEnable | boolean | no | Indicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile |
profileVlanOverrideEnable | boolean | no | Indicates the fill mode of vlan configuration: true: custom; false: follow profile |
linkSpeed | integer | no | Link Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
igmpSnoopingEnable | boolean | no | Indicates whether IGMP Snooping is enabled |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlVO | no | (OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO") |
spanningTreeEnable | boolean | no | Indicates whether SpanningTree is enabled |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | Indicates whether loopbackDetect port based is enabled |
loopbackDetectVlanBasedEnable | boolean | no | Indicates whether loopbackDetect vlan based is enabled |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Indicates whether port isolation is enabled |
eeeEnable | boolean | no | Indicates whether EEE is enabled |
flowControlEnable | boolean | no | Indicates whether flow control is enabled |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
qosQueueEnable | boolean | no | Indicates whether the ES device port has enabled the Qos scheduling queue configuration |
queueId | integer | no | ES Qos scheduling queue ID |
removedOuiBasedRuleIds | array<string> | no | The id of oui based vlan rule removded. |
operation | string | no | Operation should be a value as follows: "switching" or "mirroring" or "aggregating" |
mirroredPorts | array<integer> | no | Mirrored Ports |
mirroredLags | array<integer> | no | Mirrored Lags |
lagSetting | OswLagBasicVO | no | (OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO") |
lagDelete | boolean | no | When the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId. |
dot1x | integer | no | Dot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto |
poe | integer | no | Poe should be a value as follows: 0: Off; 1: 802.3at/af |
lldpMedEnable | boolean | no | Indicates whether LLDP-MED is enabled |
topoNotifyEnable | boolean | no | Indicates whether Topology Notify is enabled |
portList | array<integer> | yes |
// omada_call_operation
{
"operationId": "batchModifySwitchPortTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.
batchSetNameForGivenPorts
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/name
Batch set name for given switch template ports
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema PortNameList
| Field | Type | Required | Description |
|---|---|---|---|
portNameList | array<SwitchMultiPortName> | yes | Port name list |
// omada_call_operation
{
"operationId": "batchSetNameForGivenPorts",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch set name for given switch template ports.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.
batchSetPoeModeForGivenPorts
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/poe-mode
Batch set poe mode for given switch template ports
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema SwitchPortsPoe
| Field | Type | Required | Description |
|---|---|---|---|
portList | array<integer> | yes | Port ID List. |
poeMode | integer | yes | Poe mode should be a value as follows: 1: on(802.3at/af); 0: off. |
// omada_call_operation
{
"operationId": "batchSetPoeModeForGivenPorts",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch set poe mode for given switch template ports. Please enable profile override first to use this interface.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-39737 - Profile override setting is disabled.
-44402 - Device template does not exist.
batchSetProfileOverrideForGivenPorts
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/profile-override
Batch set profile-override for given switch template ports
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema BatchProfileOverride
| Field | Type | Required | Description |
|---|---|---|---|
portList | array<integer> | yes | Port ID List. |
profileOverrideEnable | boolean | yes | Profile Override Enable. |
// omada_call_operation
{
"operationId": "batchSetProfileOverrideForGivenPorts",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch set profile-override for given switch template ports.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.
batchSetPortStatusForGivenPorts
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/multi-ports/status
Batch set status for given switch template ports
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema SwitchPortsStatus
| Field | Type | Required | Description |
|---|---|---|---|
portList | array<integer> | yes | Port list |
status | integer | yes | Status should be a value as follows: 0: off; 1: on |
// omada_call_operation
{
"operationId": "batchSetPortStatusForGivenPorts",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch set status for given switch template ports.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-39723 - Cannot choose mirroring or aggregating ports to batch modify.
-44402 - Device template does not exist.
getGridPortAndLagNetworks
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/port-lag-networks
Get the networks used on switch template's ports and LAGs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridPortAndLagNetworks",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
Get the networks used on switch template's ports and LAGs.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44402 - Device template does not exist.
getPortAndLagNetwork
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/port-lag-networks/{networkId}/vlan/{vlan}
Get the switch template's ports and LAGs that the network affects
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
networkId | path | string | yes | Switch network ID. |
vlan | path | string | yes | VLAN. |
// omada_call_operation
{
"operationId": "getPortAndLagNetwork",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"networkId": "<networkId>",
"vlan": "<vlan>"
}
}Details, permissions and error codes
Get the switch template's ports and LAGs that the network affects.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.
-44402 - Device template does not exist.
modifySwitchPortTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}
Modify switch template port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
port | path | string | yes | Port ID |
Request body — application/json (required) — schema OswPortSettingVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Port or Lag Name |
tagIds | array<string> | no | Tag ID List |
nativeNetworkId | string | no | Native Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
nativeBridgeVlan | integer | no | Native Network Bridge Vlan. |
networkTagsSetting | integer | no | Network Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom |
tagNetworkIds | array<string> | no | Tag Network IDs |
tagBridgeVlanMap | object | no | Tag Network Bridge Vlan Map |
untagNetworkIds | array<string> | no | Untag Network IDs |
untagBridgeVlanMap | object | no | Untag Network Bridge Vlan Map |
voiceNetworkEnable | boolean | no | Indicates whether voice network is enabled |
voiceNetworkId | string | no | Voice Network ID |
voiceBridgeVlan | integer | no | Voice Network Bridge Vlan |
voiceDscpEnable | boolean | no | Indicates whether voice DSCP is enabled |
voiceDscp | integer | no | Voice DSCP |
portAlertEnable | boolean | no | Indicates whether port alert is enabled |
fecMode | integer | no | FEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R |
fecLinkPeerApplyEnable | boolean | no | Indicates whether the FEC Mode is synchronously applied to the link peer port. |
disable | boolean | no | Indicates whether to disable |
profileId | string | no | Profile ID is required (not null) when modifying a single port. |
profileOverrideEnable | boolean | no | Indicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile |
profileVlanOverrideEnable | boolean | no | Indicates the fill mode of vlan configuration: true: custom; false: follow profile |
linkSpeed | integer | no | Link Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
igmpSnoopingEnable | boolean | no | Indicates whether IGMP Snooping is enabled |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlVO | no | (OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO") |
spanningTreeEnable | boolean | no | Indicates whether SpanningTree is enabled |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | Indicates whether loopbackDetect port based is enabled |
loopbackDetectVlanBasedEnable | boolean | no | Indicates whether loopbackDetect vlan based is enabled |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Indicates whether port isolation is enabled |
eeeEnable | boolean | no | Indicates whether EEE is enabled |
flowControlEnable | boolean | no | Indicates whether flow control is enabled |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
qosQueueEnable | boolean | no | Indicates whether the ES device port has enabled the Qos scheduling queue configuration |
queueId | integer | no | ES Qos scheduling queue ID |
removedOuiBasedRuleIds | array<string> | no | The id of oui based vlan rule removded. |
operation | string | no | Operation should be a value as follows: "switching" or "mirroring" or "aggregating" |
mirroredPorts | array<integer> | no | Mirrored Ports |
mirroredLags | array<integer> | no | Mirrored Lags |
lagSetting | OswLagBasicVO | no | (OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO") |
lagDelete | boolean | no | When the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId. |
dot1x | integer | no | Dot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto |
poe | integer | no | Poe should be a value as follows: 0: Off; 1: 802.3at/af |
lldpMedEnable | boolean | no | Indicates whether LLDP-MED is enabled |
topoNotifyEnable | boolean | no | Indicates whether Topology Notify is enabled |
// omada_call_operation
{
"operationId": "modifySwitchPortTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Modify switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.
setNameForGivenPort
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/name
Set name for given switch template port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
port | path | string | yes | Port ID |
Request body — application/json (required) — schema SwitchPortName
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 128 characters. |
// omada_call_operation
{
"operationId": "setNameForGivenPort",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Set name for given switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.
setPoeModeForGivenPort
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/poe-mode
Set poe mode for given switch template port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
port | path | string | yes | Port |
Request body — application/json (required) — schema SwitchPortPoe
| Field | Type | Required | Description |
|---|---|---|---|
poeMode | integer | yes | Poe mode should be a value as follows: 1: on(802.3at/af); 0: off. |
// omada_call_operation
{
"operationId": "setPoeModeForGivenPort",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Set poe mode for given switch template port. Please enable profile override first to use this interface.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-39737 - Profile override setting is disabled.
-44402 - Device template does not exist.
setProfileForGivenPort
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/profile
Set profile for given switch template port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
port | path | string | yes | Port ID |
Request body — application/json (required) — schema SwitchProfileID
| Field | Type | Required | Description |
|---|---|---|---|
profileId | string | yes | Profile ID. |
// omada_call_operation
{
"operationId": "setProfileForGivenPort",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Set profile for given switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.
setProfileOverrideForGivenPort
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/profile-override
Set profile-override for given switch template port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
port | path | string | yes | Port ID |
Request body — application/json (required) — schema ProfileOverride
| Field | Type | Required | Description |
|---|---|---|---|
profileOverrideEnable | boolean | yes | Profile Override Enable |
// omada_call_operation
{
"operationId": "setProfileOverrideForGivenPort",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Set profile-override for given switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-44402 - Device template does not exist.
setPortModeForGivenPort
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/ports/{port}/status
Set port status for given switch template port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
port | path | string | yes | Port |
Request body — application/json (required) — schema SwitchPortStatus
| Field | Type | Required | Description |
|---|---|---|---|
status | integer | yes | Status should be a value as follows: 0: off; 1: on |
// omada_call_operation
{
"operationId": "setPortModeForGivenPort",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Set port status for given switch template port.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-39738 - Cannot choose mirroring or aggregating port to modify status.
-44402 - Device template does not exist.
getRpvstInstancesTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/rpvst-instances
Get Rpvst Instances Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
// omada_call_operation
{
"operationId": "getRpvstInstancesTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
Get Rpvst Instances Template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getRpvstInstancesDetailTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/stp/instance-detail
Get StpInstanceDetail Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema StpInstanceDetailVO
| Field | Type | Required | Description |
|---|---|---|---|
stp | integer | yes | stp, 1: STP / 2: RSTP / 3: MSTP / 4: RPVST / 0: OFF |
id | integer | no | instance ID |
vlan | integer | no | instance vlanId |
// omada_call_operation
{
"operationId": "getRpvstInstancesDetailTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Get StpInstanceDetail Template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getGridVrfTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/vrfs
Deprecated
This operation is deprecated.
Get the vrfs on the switch template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
// omada_call_operation
{
"operationId": "getGridVrfTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
}
}Details, permissions and error codes
Get the vrfs on the switch template. This interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager View Only
createOswVrfTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/vrfs
Deprecated
This operation is deprecated.
Create new vrf template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
Request body — application/json (required) — schema OswVrfConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
vrf | string | no | VRF name: 1 to 15 characters consisting of numbers (0 to 9), uppercase and lowercase letters (A to Z, a to z), and symbols -_@.+; cannot be '.' or '..' only. This parameter is required when creating a VRF and is not needed when modifying a VRF. |
ipv4Enable | boolean | no | Whether to enable ipv4. Ipv4Enable should be true. This parameter is required when creating a VRF and is not needed when modifying a VRF. |
ipv6Enable | boolean | yes | Whether to enable ipv6 |
// omada_call_operation
{
"operationId": "createOswVrfTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new vrf template. This interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager Modify
deleteOswVrfTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/vrfs/{vrfId}
Deprecated
This operation is deprecated.
Delete vrf template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
vrfId | path | string | yes | VRF ID |
// omada_call_operation
{
"operationId": "deleteOswVrfTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"vrfId": "<vrfId>"
}
}Details, permissions and error codes
Delete vrf template. This interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyOswVrfTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/{deviceTemplateId}/vrfs/{vrfId}
Deprecated
This operation is deprecated.
Modify vrf template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
deviceTemplateId | path | string | yes | Device Template ID |
vrfId | path | string | yes | VRF ID |
Request body — application/json (required) — schema OswVrfConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
vrf | string | no | VRF name: 1 to 15 characters consisting of numbers (0 to 9), uppercase and lowercase letters (A to Z, a to z), and symbols -_@.+; cannot be '.' or '..' only. This parameter is required when creating a VRF and is not needed when modifying a VRF. |
ipv4Enable | boolean | no | Whether to enable ipv4. Ipv4Enable should be true. This parameter is required when creating a VRF and is not needed when modifying a VRF. |
ipv6Enable | boolean | yes | Whether to enable ipv6 |
// omada_call_operation
{
"operationId": "modifyOswVrfTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"deviceTemplateId": "<deviceTemplateId>",
"vrfId": "<vrfId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify vrf template. This interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager Modify
getBatchSwitchTemplateExistNetworks
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/exist-network
Get the networks intersections existing on multiple switch templates
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema OswMacListVO
| Field | Type | Required | Description |
|---|---|---|---|
switchMacList | array<string> | yes | Switch Mac List |
// omada_call_operation
{
"operationId": "getBatchSwitchTemplateExistNetworks",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Get the networks intersections existing on multiple switch templates.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44402 - Device template does not exist.
deletePortTagTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/port-tag
Delete an existing template port label
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema DeletePortTagOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
tagId | string | yes | Port label ID |
// omada_call_operation
{
"operationId": "deletePortTagTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing template port label.
The interface requires one of the permissions:
Global Site Template Manager Modify
getPortTagTemplates
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/port-tag
Get template port label list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getPortTagTemplates",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get template port label list.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyPortTagTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/port-tag
Modify an existing template port label
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema PortTagOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
tagId | string | yes | Port label ID |
name | string | yes | Port label name should contain 1 to 128 ASCII characters. |
resource | integer | no | Data Source. Resource should be a value as follows: 0: new created; 1: from template; 2: override |
// omada_call_operation
{
"operationId": "modifyPortTagTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing template port label.
The interface requires one of the permissions:
Global Site Template Manager Modify
addPortTagTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/port-tag
Create new template port label
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema CreatePortTagOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Port label name should contain 1 to 128 ASCII characters. |
// omada_call_operation
{
"operationId": "addPortTagTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new template port label.
The interface requires one of the permissions:
Global Site Template Manager Modify
getBatchRpvstInstancesTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/rpvst-instances
Get Batch Rpvst Instances Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required)
Type: array<string>
// omada_call_operation
{
"operationId": "getBatchRpvstInstancesTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Get Batch Rpvst Instances Template.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getBatchSwitchTemplateExistNetworksV2
POST /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/switchtemplates/exist-network
Get the networks intersections existing on multiple switch templates V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema OswDeviceTemplateIdListVO
| Field | Type | Required | Description |
|---|---|---|---|
switchDeviceTemplateIdList | array<string> | no |
// omada_call_operation
{
"operationId": "getBatchSwitchTemplateExistNetworksV2",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Get the networks intersections existing on multiple switch templates.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44402 - Device template does not exist.